generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\AboutBundle\Entity\Partner
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendAboutBundle
    pk_requirement: ~
    fields:
      url:
        label: Лінк
        help:  Повинен бути виду - http://test.com або https://test.com
        formType: url
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           title:
             locale_options:
               ru:
                 label : Назва 
               uk:
                 label : Назва  
           country:
             locale_options:
               ru:
                 label : Страна 
               uk:
                 label : Країна         
      file:
        label:            Фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       image
         data_class:     Symfony\Component\HttpFoundation\File\File
      getTitle:
        label:            Назва   
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Партнери
            display: [getTitle]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title: Новий партнер
            display: [file, translations, url]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ви редагуєте партнера \"%object%\"|{ %object%: Partner.getTitle }|"
            display: [file, translations, url]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
